- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Class List
- Class Members

# axutil_log Struct Reference
[log]

Axis2 Log struct. More...

`#include <axutil_log.h>`

List of all members.

## Public Attributes
const axutil_log_ops_t * | ops
axutil_log_levels_t | level
int | size
axis2_bool_t | enabled

## Detailed Description

Axis2 Log struct.

Log is the encapsulating struct for all log related data and ops

## Member Data Documentation

const axutil_log_ops_t* axutil_log::ops

Log related ops

axutil_log_levels_t axutil_log::level

Log level

int axutil_log::size

Maximum log file size

axis2_bool_t axutil_log::enabled

Is logging enabled?

The documentation for this struct was generated from the following file:

- axutil_log.h